Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.simulators
Class DESSSimulator

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.dsol.simulators.Simulator
              nl.tudelft.simulation.dsol.simulators.DESSSimulator

All Implemented Interfaces:
  DESSSimulatorInterface, nl.tudelft.simulation.event.EventProducerInterface, java.rmi.Remote, java.lang.Runnable, java.io.Serializable, SimulatorInterface

public class DESSSimulator
extends Simulator
implements DESSSimulatorInterface

The DESS defines the interface of the DESS simulator. DESS stands for the Differential Equation System Specification. More information on Modeling & Simulation can be found in "Theory of Modeling and Simulation" by Bernard Zeigler et. al.
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs , Alexander Verbraeck
See Also:
  Serialized Form

Field Summary
`protected double` | `timeStep` timeStep represents the timestep of the DESS simulator

Fields inherited from class nl.tudelft.simulation.dsol.simulators.Simulator
`replication, running, semaphore, simulatorTime, worker`

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.DESSSimulatorInterface
`DEFAULT_TIME_STEP, TIME_STEP_CHANGED_EVENT`

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`END_OF_REPLICATION_EVENT, START_EVENT, START_REPLICATION_EVENT, STEP_EVENT, STOP_EVENT, TIME_CHANGED_EVENT, WARMUP_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`DESSSimulator()`

Method Summary
`double` | `getTimeStep()` returns the time step of the DESS simulator
`void` | `initialize(Replication replication)` initializes the simulator with a specified replication.
`void` | `run()` The run method defines the actual time step mechanism of the simulator.
`void` | `setTimeStep(double timeStep)` Method setTimeStep sets the time step of the simulator

Methods inherited from class nl.tudelft.simulation.dsol.simulators.Simulator
`getReplication, getSimulatorTime, isRunning, start, step, stop`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`getReplication, getSimulatorTime, isRunning, start, step, stop`

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Field Detail

### timeStep

    protected double timeStep

  timeStep represents the timestep of the DESS simulator

Constructor Detail

### DESSSimulator

    public DESSSimulator()

Method Detail

### initialize

    public void initialize(Replication replication)
                    throws java.rmi.RemoteException,
                           SimRuntimeException

  Description copied from interface: `SimulatorInterface`
  initializes the simulator with a specified replication.

  Specified by:
    `initialize` in interface `SimulatorInterface`
  Overrides:
    `initialize` in class `Simulator`
  Throws:
    `java.rmi.RemoteException`
    `SimRuntimeException`
  See Also:
    `#initialize(nl.tudelft.simulation.dsol.experiment.Replication)`

### getTimeStep

    public double getTimeStep()

  Description copied from interface: `DESSSimulatorInterface`
  returns the time step of the DESS simulator

  Specified by:
    `getTimeStep` in interface `DESSSimulatorInterface`
  Returns:
    the timeStep
  See Also:
    `#getTimeStep()`

### run

    public void run()

  Description copied from class: `Simulator`
  The run method defines the actual time step mechanism of the simulator. The implementation of this method depends on the formalism. Where discrete event formalisms loop over an eventlist continuous simulators take pre-defined time steps.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `Simulator`
  See Also:
    `Simulator.run()`

### setTimeStep

    public void setTimeStep(double timeStep)

  Description copied from interface: `DESSSimulatorInterface`
  Method setTimeStep sets the time step of the simulator

  Specified by:
    `setTimeStep` in interface `DESSSimulatorInterface`
  Parameters:
    `timeStep` - the new timeStep. Its value should be >0.0
  See Also:
    `#setTimeStep(double)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.